## pal 0.4.3

=== Makefile ===
pal:
	make -C src

%:
	make -C src $@
