=== debian/changelog ===
pal (0.4.3-9build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:14:33 +1100

pal (0.4.3-9build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:34:28 +0000

pal (0.4.3-9) unstable; urgency=medium

  * QA upload
  * Convert to source format 3.0 (Closes: #1007399)
  * d/copyright: Convert to machine-readable format

  [ Vagrant Cascadian ]
  * debian/rules: Pass -ffile-prefix-map via CFLAGS (Closes: #1020653)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #923426)
    + cross.patch: Make pkg-config substitutable
    + Let dh_auto_build pass cross tools to make

  [ Uli Martens ]
  * make pal wake up less often in manage mode (Closes: #566843)

 -- Bastian Germann <bage@debian.org>  Thu, 10 Aug 2023 01:15:22 +0200

pal (0.4.3-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New patch: 53_debian_rl_hook.patch (Closes: #741779)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 25 Apr 2014 20:15:32 +0200

pal (0.4.3-8) unstable; urgency=low

  * Include the headers from ncursesw instead of ncurses.  Since both
    header variants are compatible, including ncurses' headers worked
    as long as there was an indirect dependency on libncurses5-dev.
    Thanks to Peter Green for the bug report and the patch.
    (Closes: #651761)

 -- Carsten Hey <carsten@debian.org>  Tue, 13 Dec 2011 23:21:09 +0100

pal (0.4.3-7) unstable; urgency=low

  * Replace glib's deprecated G_CONST_RETURN with const.  This fixes the
    build failure with recent glib versions.  Thanks to Matthias Klose for
    reporting the according FTBFS bug in Ubuntu Oneiric.  (LP: #832892)
  * Remove duplicate entry from history.pal.  Thanks to Paul Martin for
    reporting; in answer to your question, I assume it was quite funny,
    apart from that.  (Closes: #623061)
  * Fix spelling error in pal's man page (s/calender/calendar/).
  * Move the changes introduced in the prior Debian upload to a patch.
    The reason that this was not done initally does not apply anymore.
  * Bump debhelper compat level to 8, adapt dependency on debhelper
    and replace dh_clean -k with dh_prep in debian/rules.
  * Bump standards version to 3.9.2.
  * Keep the old dpkg source format for now and document this in
    debian/source/format.  I'll consider switching to "3.0 (quilt)"
    for the next upstream release.
  * Add ${misc:Depends} as dependency in debian/control.
  * Add the targets binary-indep and binary-arch to debian/rules.
  * Remove debian/dirs, it did only contain usr/bin.

 -- Carsten Hey <carsten@debian.org>  Sat, 27 Aug 2011 21:25:10 +0200

pal (0.4.3-6) unstable; urgency=low

  * Pal requires some translatable strings to be lowercased, otherwise the
    option -d doesn't work when these strings are passed to it.  Adapt the
    German and the Polish po files accordingly and apply the fix directly to
    the files instead of using patches to ease reviewing by the release team.

 -- Carsten Hey <carsten@debian.org>  Wed, 01 Dec 2010 21:16:23 +0100

pal (0.4.3-5) unstable; urgency=low

  * Build depend on libreadline-dev instead of libreadline5-dev or
    libreadline-dev.
  * Bumped standards version to 3.8.3.

 -- Carsten Hey <carsten@debian.org>  Thu, 24 Sep 2009 07:16:09 +0200

pal (0.4.3-4) unstable; urgency=low

  * Correctly place the cursor after a multibyte character in interactive
    mode.  (Closes: #499797)
  * Use terminal's default colors instead of white foreground and black
    background in interactive mode.
  * Fix typo in debian/copyright.
  * Bumped standards version to 3.8.1.
  * New maintainer address.

 -- Carsten Hey <carsten@debian.org>  Sun, 17 May 2009 14:43:35 +0200

pal (0.4.3-3) unstable; urgency=low

  * Recode austria.pal from ISO-8859 to UTF-8.  (Closes: #499389)
  * Link pal against libncursesw5 instead of libncurses5.  (Closes:
    #499403)

 -- Carsten Hey <c.hey@web.de>  Mon, 29 Sep 2008 11:57:52 +0200

pal (0.4.3-2) unstable; urgency=low

  * debian/watch: use QA redirector.
  * Added a new Debian specific patch which changes the path to example.css in
    pal.1.  Debian installs this file into a different location than
    upstream's makefile target install-doc.  (Closes: #497874)

 -- Carsten Hey <c.hey@web.de>  Sat, 06 Sep 2008 07:13:08 +0200

pal (0.4.3-1) unstable; urgency=low

  * New Upstream Version
    - Fix segfault when printing strings not valid in user's locale
      (Closes: #492464)
  * Removed patches that are included in pal's latest upstream release from
    debian/patches.  No remaining patches.

 -- Carsten Hey <c.hey@web.de>  Sat, 02 Aug 2008 19:26:36 +0200

pal (0.4.2-3) unstable; urgency=low

  * Apply patch from upstream CVS:
    - Don't loop endlessly when there are too few entries to be displayed in
      interactive mode.  (Martijn van Oosterhout and Adam Lincoln)
    - Support color in screen.  (Adam Lincoln)
    - Wait for a keystroke after add event.  (Adam Lincoln)

 -- Carsten Hey <c.hey@web.de>  Tue, 22 Jul 2008 13:31:23 +0200

pal (0.4.2-2) unstable; urgency=high

  * Urgency set to high as is solves an RC bug.
  * Apply patch from upstream CVS:
    - Don't segfault when default_text is NULL in rl.c.  (Closes: #489228)
    - Fix some compiler warnings.
    - CFLAGS has been splittet into CFLAGS and CPPFLAGS.
  * Adjusted debian/rules to pass CFLAGS to pal's Makefile.

 -- Carsten Hey <c.hey@web.de>  Sat, 05 Jul 2008 13:52:32 +0200

pal (0.4.2-1) unstable; urgency=low

  * New upstream version:
    - Fix encoding in HTML export.  (Closes: #332642)
    - Add missing HTML tags to exported HTML.  (Closes: #417854)
  * Removed pal_add_event.zsh and pal_edit_event.zsh from examples.
  * Removed patches that are included in pal's latest upstream release from
    debian/patches.  No remaining patches.
  * Added a new patch which fixes a typo and groff syntax in pal.1.template.

