=== debian/control ===
Source: pal
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8), libreadline-dev, libncurses-dev, libglib2.0-dev, gettext
Standards-Version: 3.9.2
Homepage: https://palcal.sourceforge.net

Package: pal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: texlive
Description: command-line calendar program that can keep track of events
 pal is a command-line calendar program for Unix/Linux systems that can keep
 track of events. It has similarities with the Unix cal command, the more
 complex GNU gcal program, and the calendar program distributed with the BSDs.
 .
 Some of pal's main features are:
  * A cal-like calendar that highlights days that have events.
  * Assign different colors to different types of events.
  * Search events with regular expressions (-s).
  * Includes calendars for US holidays, Christian holidays, world holidays,
    historical events and more.
  * One-time events and a variety of recurring events are supported (daily,
    weekly, monthly, yearly). Recurring events can have start and end dates.
  * Easy-to-use interface for interactively adding, editing and deleting
    events (-m).
  * Automated deletion of old events (-x).
  * Option to generate an HTML calendar (--html).
  * Option to generate a LaTeX calendar suitable for printing (--latex).
 .
 Ways to use pal effectively include:
  * Create your own calendar files and be reminded of upcoming meetings,
    deadlines, and events.
  * Remind yourself daily of your "To Do" list by using the special TODO event
    type.
  * Run pal in your shell initialization file (such as ~/.bash_profile) to see
    your calendar whenever you open a new terminal.
  * Set up a cron job that emails you and/or others the output of pal every
    morning (--mail).
  * View the calendars of other pal users on the same system.
