=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# vim: set ft=make:

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g -ffile-prefix-map=$(CURDIR)=.

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# we use dh_strip to strip executables ...
export DEBUG=1

.PHONY: build build-indep build-arch
build: build-indep build-arch
build-indep:
build-arch: build-stamp
build-stamp: $(QUILT_STAMPFN)
	dh_testdir
	dh_auto_build -- "CFLAGS=$(CFLAGS)"
	touch $@

.PHONY: clean
clean:
	dh_testdir
	dh_testroot
	$(MAKE) distclean
	dh_clean build-stamp

.PHONY: install
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/pal install-mo
	$(MAKE) DESTDIR=$(CURDIR)/debian/pal install-man
	$(MAKE) DESTDIR=$(CURDIR)/debian/pal install-bin
	$(MAKE) DESTDIR=$(CURDIR)/debian/pal install-share

.PHONY: binary binary-indep binary-arch
binary: binary-indep binary-arch
binary-indep:
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
