=== debian/watch ===
version=3
http://sf.net/palcal/ pal[-_]([0-9.]+)\.t(?:ar\.)?[gb]z
